[blfs-support] Abiword-2.9.3 fails to build without GTK+-3

Michael Shell list1 at michaelshell.org
Mon Mar 11 10:58:43 PDT 2013


On Mon, 11 Mar 2013 12:07:53 -0400
Arthur Radley <misterarthurradley at gmail.com> wrote:

> I finally got Abiword-2.9.4 installed without GTK+-3 by using the 
> --with-gtk2 configure option. That idea did not work with Abiword-2.9.3 
> (make errors). With that option, Abiword-2.9.4 installed quietly, looks 
> normal, and works normally. It still ignores normal.awt in $HOME, so I 
> edited the system version of the file. This should get me and Abiword 
> through the next six months or so.


Thanks for the info, tis good to know. Some years ago I built Abiword
from source. That version had an annoying bug - sometimes when printing
it would silently omit the last few lines of a page. Uuuughhhh. Years
later, when I built a new LFS system, a much newer version of Abiword
would crash when certain fonts were selected, another version would
crash if spell checking was enabled. Today's versions are better, but I
think they are bloating up.

I generally like Abiword, and there is a need for the functionality
it provides, but I wish its developers would take a time out and
clean up the bugs and stop adding new features and bloat, at least until
they get the basics right. Ditto for Firefox.

Once the complexity, dependencies and bloat of an application reaches a
certain point, I start feeling the need to switch to another, saner,
application - and if I find one, my life generally gets better.


  Cheers,

  Mike Shell







More information about the blfs-support mailing list